Dada2 error code1

Hello, I am a new user of qiime2.
While I was doing dada2 denoising step,
I got an error message.
The error is as follows.

Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /scratch/22812299.shared-sched.pace.gatech.edu/tmpy71e6zw5/forward /scratch/22812299.shared-sched.pace.gatech.edu/tmpy71e6zw5/reverse /scratch/22812299.shared-sched.pace.gatech.edu/tmpy71e6zw5/output.tsv.biom /scratch/22812299.shared-sched.pace.gatech.edu/tmpy71e6zw5/track.tsv /scratch/22812299.shared-sched.pace.gatech.edu/tmpy71e6zw5/filt_f /scratch/22812299.shared-sched.pace.gatech.edu/tmpy71e6zw5/filt_r 250 250 6 2 2.0 2 consensus 1.0 1 1000000

R version 3.4.1 (2017-06-30)
Loading required package: Rcpp
DADA2 R package version: 1.6.0

  1. Filtering The filter removed all reads: /scratch/22812299.shared-sched.pace.gatech.edu/tmpy71e6zw5/filt_f/nosZ1mod_f_nosZmod_R-30cm_RF_CT_plusN_7d_3_4_L001_R1_001.fastq.gz and /scratch/22812299.shared-sched.pace.gatech.edu/tmpy71e6zw5/filt_r/nosZ1mod_f_nosZmod_R-30cm_RF_CT_plusN_7d_3_5_L001_R2_001.fastq.gz not written.
    The filter removed all reads: /scratch/22812299.shared-sched.pace.gatech.edu/tmpy71e6zw5/filt_f/nosZ1mod_f_nosZmod_R-30cm_RR_CT_plusN_21d_P_6_L001_R1_001.fastq.gz and /scratch/22812299.shared-sched.pace.gatech.edu/tmpy71e6zw5/filt_r/nosZ1mod_f_nosZmod_R-30cm_RR_CT_plusN_21d_P_7_L001_R2_001.fastq.gz not written.
    The filter removed all reads: /scratch/22812299.shared-sched.pace.gatech.edu/tmpy71e6zw5/filt_f/nosZ1mod_f_nosZmod_R-30cm_RR_CT_plusN_7d_P_8_L001_R1_001.fastq.gz and /scratch/22812299.shared-sched.pace.gatech.edu/tmpy71e6zw5/filt_r/nosZ1mod_f_nosZmod_R-30cm_RR_CT_plusN_7d_P_9_L001_R2_001.fastq.gz not written.
    Some input samples had no reads pass the filter.
    …xxx

  2. Learning Error Rates
    2a) Forward Reads
    Initializing error rates to maximum possible estimate.
    Sample 1 - 609 reads in 563 unique sequences.
    Sample 2 - 4 reads in 4 unique sequences.
    selfConsist step 2
    Convergence after 2 rounds.
    2b) Reverse Reads
    Initializing error rates to maximum possible estimate.
    Sample 1 - 609 reads in 603 unique sequences.
    Sample 2 - 4 reads in 4 unique sequences.
    selfConsist step 2
    Convergence after 2 rounds.

  3. Denoise remaining samples

  4. Remove chimeras (method = consensus)
    Error in isBimeraDenovoTable(unqs[[i]], …, verbose = verbose) :
    Input must be a valid sequence table.
    Calls: removeBimeraDenovo -> isBimeraDenovoTable
    In addition: Warning message:
    In is.na(colnames(unqs[[i]])) :
    is.na() applied to non-(list or vector) of type ‘NULL’
    Execution halted
    Traceback (most recent call last):
    File “/nv/hmicro1/dpark331/data/apps/miniconda3/envs/qiime2-2018.8/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 229, in denoise_paired
    run_commands([cmd])
    File “/nv/hmicro1/dpark331/data/apps/miniconda3/envs/qiime2-2018.8/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
    subprocess.run(cmd, check=True)
    File “/nv/hmicro1/dpark331/data/apps/miniconda3/envs/qiime2-2018.8/lib/python3.5/subprocess.py”, line 398, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/scratch/22812299.shared-sched.pace.gatech.edu/tmpy71e6zw5/forward’, ‘/scratch/22812299.shared-sched.pace.gatech.edu/tmpy71e6zw5/reverse’, ‘/scratch/22812299.shared-sched.pace.gatech.edu/tmpy71e6zw5/output.tsv.biom’, ‘/scratch/22812299.shared-sched.pace.gatech.edu/tmpy71e6zw5/track.tsv’, ‘/scratch/22812299.shared-sched.pace.gatech.edu/tmpy71e6zw5/filt_f’, ‘/scratch/22812299.shared-sched.pace.gatech.edu/tmpy71e6zw5/filt_r’, ‘250’, ‘250’, ‘6’, ‘2’, ‘2.0’, ‘2’, ‘consensus’, ‘1.0’, ‘1’, ‘1000000’]’ returned non-zero exit status 1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/nv/hmicro1/dpark331/data/apps/miniconda3/envs/qiime2-2018.8/lib/python3.5/site-packages/q2cli/commands.py”, line 274, in call
results = action(**arguments)
File “”, line 2, in denoise_paired
File “/nv/hmicro1/dpark331/data/apps/miniconda3/envs/qiime2-2018.8/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 231, in bound_callable
output_types, provenance)
File “/nv/hmicro1/dpark331/data/apps/miniconda3/envs/qiime2-2018.8/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 362, in callable_executor
output_views = self._callable(**view_args)
File “/nv/hmicro1/dpark331/data/apps/miniconda3/envs/qiime2-2018.8/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 244, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

How can I fix this?

Thank you inadvance for your help.

Please remove this post.
I fixed it !
Thank you.
Sorry to bother you guys.

Hey there @DoYoung_Park!

This error crops up when none of the reads are merged, which means the resulting outputs are empty. Can you provide your demux summarize viz, as well as the dada2 denoise-paired command you ran? Another option, if you can’t get sufficient read overlap (20 nts min) is to run just dada2 denoise-single, which will process only your forward reads. :t_rex:

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.